//+------------------------------------------------------------------+
//|                                                         test.mq5 |
//|                                                             ProF |
//|                                                          http:// |
//+------------------------------------------------------------------+
#property copyright "ProF"
#property link      "http://"
#property version   "1.00"
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
   int handle = 0; //handle of the indicator
   double tmp[1];  //temporary array for copying the color index.
                   //get handle of our modified RSI
   handle=iCustom(_Symbol,_Period,"Examples\\RSI",6);

   //Note, that values are stored in the "1"st buffer of our modified RSI
   //The color indexes are stored in the "0"th buffer 
   //Copying the data of RSI indicator from the buffer "1", used as a color index.
   CopyBuffer(handle,1,0,1,tmp);

   //Shows Alert with last color index, returned by RSI
   Alert(tmp[0]); //For example, if result is equal 0, it means that RSI 
                  //is painted in Green color and its current level close to 0.
  }
//+------------------------------------------------------------------+
